-- phpMyAdmin SQL Dump
-- version 2.11.11.3
-- http://www.phpmyadmin.net
--
-- Host: localhost
-- Generation Time: Jul 27, 2018 at 12:33 AM
-- Server version: 4.1.22
-- PHP Version: 5.6.36-1+ubuntu18.04.1+deb.sury.org+1

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Database: `zerofresh`
--

-- --------------------------------------------------------

--
-- Table structure for table `bugs`
--

CREATE TABLE IF NOT EXISTS `bugs` (
  `id` smallint(3) NOT NULL auto_increment,
  `page` varchar(25) NOT NULL default '',
  `desc` text NOT NULL,
  `date` int(11) NOT NULL default '0',
  `ip` varchar(25) NOT NULL default '',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- Dumping data for table `bugs`
--


-- --------------------------------------------------------

--
-- Table structure for table `categories`
--

CREATE TABLE IF NOT EXISTS `categories` (
  `id` smallint(5) unsigned NOT NULL default '0',
  `name` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `categories`
--

INSERT INTO `categories` (`id`, `name`) VALUES
(1, 'General');

-- --------------------------------------------------------

--
-- Table structure for table `forumread`
--

CREATE TABLE IF NOT EXISTS `forumread` (
  `id` mediumint(5) unsigned NOT NULL auto_increment,
  `readdate` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- Dumping data for table `forumread`
--


-- --------------------------------------------------------

--
-- Table structure for table `forums`
--

CREATE TABLE IF NOT EXISTS `forums` (
  `id` mediumint(5) unsigned NOT NULL auto_increment,
  `title` varchar(250) default NULL,
  `description` text,
  `catid` smallint(5) unsigned NOT NULL default '0',
  `order` mediumint(5) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `catid` (`catid`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=2 ;

--
-- Dumping data for table `forums`
--

INSERT INTO `forums` (`id`, `title`, `description`, `catid`, `order`) VALUES
(1, 'General Discussion', 'The place to go.', 1, 0);

-- --------------------------------------------------------

--
-- Table structure for table `misc`
--

CREATE TABLE IF NOT EXISTS `misc` (
  `id` tinyint(1) NOT NULL default '1',
  `views` int(11) NOT NULL default '0',
  KEY `id` (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `misc`
--

INSERT INTO `misc` (`id`, `views`) VALUES
(1, 0);

-- --------------------------------------------------------

--
-- Table structure for table `permissions`
--

CREATE TABLE IF NOT EXISTS `permissions` (
  `id` mediumint(5) unsigned NOT NULL auto_increment,
  `user` mediumint(5) unsigned NOT NULL default '0',
  `permission` varchar(25) NOT NULL default '',
  PRIMARY KEY  (`id`),
  KEY `user` (`user`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=4 ;

--
-- Dumping data for table `permissions`
--

INSERT INTO `permissions` (`id`, `user`, `permission`) VALUES
(1, 1, 'Moderator'),
(2, 1, 'Admin');

-- --------------------------------------------------------

--
-- Table structure for table `posts`
--

CREATE TABLE IF NOT EXISTS `posts` (
  `id` mediumint(8) NOT NULL auto_increment,
  `thread` int(10) unsigned NOT NULL default '0',
  `user` smallint(5) unsigned NOT NULL default '0',
  `date` int(10) unsigned NOT NULL default '0',
  `ip` varchar(15) NOT NULL default '0.0.0.0',
  `text` text NOT NULL,
  `lastedit` int(11) NOT NULL default '0',
  `edituser` mediumint(5) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `thread` (`thread`),
  KEY `date` (`date`),
  KEY `user` (`user`),
  KEY `ip` (`ip`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- Dumping data for table `posts`
--


-- --------------------------------------------------------

--
-- Table structure for table `ranks`
--

CREATE TABLE IF NOT EXISTS `ranks` (
  `rset` tinyint(3) unsigned NOT NULL default '1',
  `num` mediumint(8) NOT NULL default '0',
  `text` varchar(255) NOT NULL default '',
  KEY `count` (`num`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `ranks`
--


-- --------------------------------------------------------

--
-- Table structure for table `schemes`
--

CREATE TABLE IF NOT EXISTS `schemes` (
  `id` smallint(5) unsigned NOT NULL auto_increment,
  `ord` smallint(5) unsigned NOT NULL default '0',
  `name` varchar(50) default NULL,
  `file` varchar(200) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=5 ;

--
-- Dumping data for table `schemes`
--

INSERT INTO `schemes` (`id`, `ord`, `name`, `file`) VALUES
(1, 0, 'Night', 'night.php'),
(2, 0, 'Daily Cycle', 'colors.php'),
(3, 0, 'Old Blue', 'default.php'),
(4, 0, 'Red Night (Drag)', 'rednight.php');

-- --------------------------------------------------------

--
-- Table structure for table `threads`
--

CREATE TABLE IF NOT EXISTS `threads` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `forum` mediumint(5) unsigned NOT NULL default '0',
  `user` smallint(5) unsigned NOT NULL default '0',
  `views` smallint(5) unsigned NOT NULL default '0',
  `closed` tinyint(1) unsigned NOT NULL default '0',
  `title` varchar(100) NOT NULL default '',
  `icon` varchar(200) NOT NULL default '',
  `replies` smallint(5) unsigned NOT NULL default '0',
  `lastpostdate` int(10) NOT NULL default '0',
  `lastposter` smallint(5) unsigned NOT NULL default '0',
  `sticky` tinyint(1) unsigned NOT NULL default '0',
  `poll` smallint(5) unsigned NOT NULL default '0',
  `locked` tinyint(1) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `forum` (`forum`),
  KEY `user` (`user`),
  KEY `sticky` (`sticky`),
  KEY `pollid` (`poll`),
  KEY `lastpostdate` (`lastpostdate`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 PACK_KEYS=0 AUTO_INCREMENT=1 ;

--
-- Dumping data for table `threads`
--


-- --------------------------------------------------------

--
-- Table structure for table `users`
--

CREATE TABLE IF NOT EXISTS `users` (
  `id` smallint(5) unsigned NOT NULL auto_increment,
  `posts` mediumint(9) NOT NULL default '0',
  `regdate` int(11) NOT NULL default '0',
  `name` varchar(25) NOT NULL default '',
  `password` varchar(64) NOT NULL default '',
  `minipic` varchar(100) NOT NULL default '',
  `picture` varchar(100) NOT NULL default '',
  `postheader` text,
  `signature` text,
  `bio` text,
  `sex` tinyint(1) unsigned NOT NULL default '2',
  `title` varchar(255) NOT NULL default '',
  `useranks` tinyint(1) unsigned NOT NULL default '1',
  `email` varchar(60) NOT NULL default '',
  `icq` int(10) unsigned NOT NULL default '0',
  `homepageurl` varchar(80) NOT NULL default '',
  `homepagename` varchar(100) NOT NULL default '',
  `lastposttime` int(10) unsigned NOT NULL default '0',
  `lastactivity` int(10) unsigned NOT NULL default '0',
  `lastip` varchar(15) NOT NULL default '',
  `lasturl` varchar(100) NOT NULL default '',
  `lastforum` tinyint(3) unsigned NOT NULL default '0',
  `postsperpage` smallint(4) unsigned NOT NULL default '20',
  `timezone` float NOT NULL default '0',
  `scheme` tinyint(2) unsigned NOT NULL default '0',
  `pronouns` varchar(32) NOT NULL default '',
  `debug` binary(1) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `posts` (`posts`),
  KEY `name` (`name`),
  KEY `lastforum` (`lastforum`),
  KEY `lastposttime` (`lastposttime`),
  KEY `lastactivity` (`lastactivity`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- Dumping data for table `users`
--

